Bug 29326 - rpm dumps core
rpm dumps core
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-24 23:30 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-25 09:25:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-24 23:30:00 EST
I was updating openssh on ones from
ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/rpm/RH70/
When I issued the command
rpm -Uvh /tmp/ss/openssh-2.5.1p1-1.i386.rpm
/tmp/ss/openssh-askpass-2.5.1p1-1.i386.rpm
/tmp/ss/openssh-askpass-gnome-2.5.1p1-1.i386.rpm
/tmp/ss/openssh-clients-2.5.1p1-1.i386.rpm
/tmp/ss/openssh-server-2.5.1p1-1.i386.rpm

rpm-4.0-4
crashed and dumped core.
the gdb trace is below:

This GDB was configured as "i386-redhat-linux"...(no debugging symbols
found)...
Core was generated by `rpm -Uvh /tmp/ss/openssh-2.5.1p1-1.i386.rpm
/tmp/ss/openssh-askpass-2.5.1p1-1.i'.
Program terminated with signal 11, Segmentation fault.
#0  0x81186ad in ?? ()
(gdb) bt
#0  0x81186ad in ?? ()
#1  0x811ab25 in ?? ()
#2  0x806cf24 in ?? ()
#3  0x806d06a in ?? ()
#4  0x8070a24 in ?? ()
#5  0x8067974 in ?? ()
#6  0x804b29a in ?? ()
#7  0x8101801 in ?? ()
(gdb) 

The debugging symbols in rpm are stripped, but you can probably
re-link rpm with debugging symbols.
Comment 1 Need Real Name 2001-02-24 23:44:09 EST
Second time rpm -Uvh --force ...
everything went through OK.
It was a problem only first time when I was upgrading openssh-2.3.0p1-4
Comment 2 Jeff Johnson 2001-02-25 09:25:17 EST
Try rpm-4.0.2 packages at
	ftp://ftp.rpm.org/pub/rpm/test-4.0.2
Comment 3 Jeff Johnson 2001-02-25 11:43:30 EST
Verified as broken in rpm-4.0 (with openssh packages mentioned).
Verfiied as fixed in rpm-4.0.2.

Note You need to log in before you can comment on or make changes to this bug.